<a id="mypy-boto3-amplifybackend"></a>

# mypy-boto3-amplifybackend

[![PyPI - types-aiobotocore-amplifybackend](https://img.shields.io/pypi/v/types-aiobotocore-amplifybackend.svg?color=blue)](https://pypi.org/project/types-aiobotocore-amplifybackend)
[![PyPI - Python Version](https://img.shields.io/pypi/pyversions/types-aiobotocore-amplifybackend.svg?color=blue)](https://pypi.org/project/types-aiobotocore-amplifybackend)
[![Docs](https://img.shields.io/readthedocs/mypy-boto3-builder.svg?color=blue)](https://mypy-boto3-builder.readthedocs.io/)
[![PyPI - Downloads](https://img.shields.io/pypi/dm/types-aiobotocore-amplifybackend?color=blue)](https://pypistats.org/packages/types-aiobotocore-amplifybackend)

![boto3.typed](https://github.com/vemel/mypy_boto3_builder/raw/main/logo.png)

Type annotations for
[boto3.AmplifyBackend 1.20.47](https://boto3.amazonaws.com/v1/documentation/api/latest/reference/services/amplifybackend.html#AmplifyBackend)
service compatible with [VSCode](https://code.visualstudio.com/),
[PyCharm](https://www.jetbrains.com/pycharm/),
[Emacs](https://www.gnu.org/software/emacs/),
[Sublime Text](https://www.sublimetext.com/),
[mypy](https://github.com/python/mypy),
[pyright](https://github.com/microsoft/pyright) and other tools.

Generated by
[mypy-boto3-builder 6.4.2](https://github.com/vemel/mypy_boto3_builder).

More information can be found on
[boto3-stubs](https://pypi.org/project/boto3-stubs/) page and in
[types-aiobotocore-amplifybackend docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_amplifybackend/)

See how it helps to find and fix potential bugs:

![boto3-stubs demo](https://github.com/vemel/mypy_boto3_builder/raw/main/demo.gif)

- [mypy-boto3-amplifybackend](#mypy-boto3-amplifybackend)
  - [How to install](#how-to-install)
    - [VSCode extension](#vscode-extension)
    - [From PyPI with pip](#from-pypi-with-pip)
  - [Usage](#usage)
    - [VSCode](#vscode)
    - [PyCharm](#pycharm)
    - [Other IDEs](#other-ides)
    - [mypy](#mypy)
    - [pyright](#pyright)
  - [Explicit type annotations](#explicit-type-annotations)
    - [Client annotations](#client-annotations)
    - [Paginators annotations](#paginators-annotations)

<a id="how-to-install"></a>

## How to install

<a id="vscode-extension"></a>

### VSCode extension

Add
[AWS Boto3](https://marketplace.visualstudio.com/items?itemName=Boto3typed.boto3-ide)
extension to your VSCode and run `AWS boto3: Quick Start` command.

Click `Modify` and select `boto3 common` and `AmplifyBackend`.

<a id="from-pypi-with-pip"></a>

### From PyPI with pip

Install `types-aiobotocore` for `AmplifyBackend` service.

```bash
# install with aiobotocore type annotations
python -m pip install 'types-aiobotocore[amplifybackend]'

# Lite version does not provide session.create_client overloads
# it is more RAM-friendly, but requires explicit type annotations
python -m pip install 'types-aiobotocore-lite[amplifybackend]'

# standalone installation
python -m pip install types-aiobotocore-amplifybackend
```

<a id="usage"></a>

## Usage

<a id="vscode"></a>

### VSCode

- Install
  [Python extension](https://marketplace.visualstudio.com/items?itemName=ms-python.python)
- Install
  [Pylance extension](https://marketplace.visualstudio.com/items?itemName=ms-python.vscode-pylance)
- Set `Pylance` as your Python Language Server
- Install `types-aiobotocore[amplifybackend]` in your environment:
  `python -m pip install 'types-aiobotocore[amplifybackend]'`

Both type checking and auto-complete should work for `AmplifyBackend` service.
No explicit type annotations required, write your `boto3` code as usual.

<a id="pycharm"></a>

### PyCharm

- Install `types-aiobotocore[amplifybackend]` in your environment:
  `python -m pip install 'types-aiobotocore[amplifybackend]'`

Both type checking and auto-complete should work for `AmplifyBackend` service.
No explicit type annotations required, write your `aiobotocore` code as usual.
Auto-complete can be slow on big projects or if you have a lot of installed
`types-aiobotocore` submodules.

<a id="other-ides"></a>

### Other IDEs

Not tested, but as long as your IDE supports `mypy` or `pyright`, everything
should work.

<a id="mypy"></a>

### mypy

- Install `mypy`: `python -m pip install mypy`
- Install `types-aiobotocore[amplifybackend]` in your environment:
  `python -m pip install 'types-aiobotocore[amplifybackend]'`
- Run `mypy` as usual

Type checking should work for `AmplifyBackend` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="pyright"></a>

### pyright

- Install `pyright`: `yarn global add pyright`
- Install `types-aiobotocore[amplifybackend]` in your environment:
  `python -m pip install 'types-aiobotocore[amplifybackend]'`
- Optionally, you can install `boto3-stubs` to `typings` folder.

Type checking should work for `AmplifyBackend` service. No explicit type
annotations required, write your `aiobotocore` code as usual.

<a id="explicit-type-annotations"></a>

## Explicit type annotations

<a id="client-annotations"></a>

### Client annotations

`AmplifyBackendClient` provides annotations for
`session.create_client("amplifybackend")`.

```python
from aiobotocore.session import get_session

from types_aiobotocore_amplifybackend import AmplifyBackendClient

session = get_session()
async with session.create_client("amplifybackend") as client:
    client: AmplifyBackendClient
    # now client usage is checked by mypy and IDE should provide code auto-complete
```

<a id="paginators-annotations"></a>

### Paginators annotations

`types_aiobotocore_amplifybackend.paginator` module contains type annotations
for all paginators.

````python
from aiobotocore.session import get_session

from types_aiobotocore_amplifybackend import AmplifyBackendClient
from types_aiobotocore_amplifybackend.paginator import (
    ListBackendJobsPaginator,
)

session = get_session()
async with session.create_client("amplifybackend") as client:
    client: AmplifyBackendClient

    # Explicit type annotations are optional here
    # Type should be correctly discovered by mypy and IDEs
    # VSCode requires explicit type annotations
        list_backend_jobs_paginator: ListBackendJobsPaginator = client.get_paginator("list_backend_jobs")
    ```







### Literals

`types_aiobotocore_amplifybackend.literals` module contains literals extracted from shapes
that can be used in user code for type checking.

```python
from types_aiobotocore_amplifybackend.literals import (
    AdditionalConstraintsElementType,
    AuthResourcesType,
    AuthenticatedElementType,
    DeliveryMethodType,
    ListBackendJobsPaginatorName,
    MFAModeType,
    MfaTypesElementType,
    ModeType,
    OAuthGrantTypeType,
    OAuthScopesElementType,
    RequiredSignUpAttributesElementType,
    ResolutionStrategyType,
    ServiceNameType,
    ServiceType,
    SignInMethodType,
    StatusType,
    UnAuthenticatedElementType,
    ServiceName,
    PaginatorName,
)

def check_value(value: AdditionalConstraintsElementType) -> bool:
    ...
````

### Typed dictionaries

`types_aiobotocore_amplifybackend.type_defs` module contains structures and
shapes assembled to typed dictionaries for additional type checking.

```python
from types_aiobotocore_amplifybackend.type_defs import (
    BackendAPIAppSyncAuthSettingsTypeDef,
    BackendAPIAuthTypeTypeDef,
    BackendAPIConflictResolutionTypeDef,
    BackendAPIResourceConfigTypeDef,
    BackendAuthAppleProviderConfigTypeDef,
    BackendAuthSocialProviderConfigTypeDef,
    BackendJobRespObjTypeDef,
    BackendStoragePermissionsTypeDef,
    CloneBackendRequestRequestTypeDef,
    CloneBackendResponseTypeDef,
    CreateBackendAPIRequestRequestTypeDef,
    CreateBackendAPIResponseTypeDef,
    CreateBackendAuthForgotPasswordConfigTypeDef,
    CreateBackendAuthIdentityPoolConfigTypeDef,
    CreateBackendAuthMFAConfigTypeDef,
    CreateBackendAuthOAuthConfigTypeDef,
    CreateBackendAuthPasswordPolicyConfigTypeDef,
    CreateBackendAuthRequestRequestTypeDef,
    CreateBackendAuthResourceConfigTypeDef,
    CreateBackendAuthResponseTypeDef,
    CreateBackendAuthUserPoolConfigTypeDef,
    CreateBackendConfigRequestRequestTypeDef,
    CreateBackendConfigResponseTypeDef,
    CreateBackendRequestRequestTypeDef,
    CreateBackendResponseTypeDef,
    CreateBackendStorageRequestRequestTypeDef,
    CreateBackendStorageResourceConfigTypeDef,
    CreateBackendStorageResponseTypeDef,
    CreateTokenRequestRequestTypeDef,
    CreateTokenResponseTypeDef,
    DeleteBackendAPIRequestRequestTypeDef,
    DeleteBackendAPIResponseTypeDef,
    DeleteBackendAuthRequestRequestTypeDef,
    DeleteBackendAuthResponseTypeDef,
    DeleteBackendRequestRequestTypeDef,
    DeleteBackendResponseTypeDef,
    DeleteBackendStorageRequestRequestTypeDef,
    DeleteBackendStorageResponseTypeDef,
    DeleteTokenRequestRequestTypeDef,
    DeleteTokenResponseTypeDef,
    EmailSettingsTypeDef,
    GenerateBackendAPIModelsRequestRequestTypeDef,
    GenerateBackendAPIModelsResponseTypeDef,
    GetBackendAPIModelsRequestRequestTypeDef,
    GetBackendAPIModelsResponseTypeDef,
    GetBackendAPIRequestRequestTypeDef,
    GetBackendAPIResponseTypeDef,
    GetBackendAuthRequestRequestTypeDef,
    GetBackendAuthResponseTypeDef,
    GetBackendJobRequestRequestTypeDef,
    GetBackendJobResponseTypeDef,
    GetBackendRequestRequestTypeDef,
    GetBackendResponseTypeDef,
    GetBackendStorageRequestRequestTypeDef,
    GetBackendStorageResourceConfigTypeDef,
    GetBackendStorageResponseTypeDef,
    GetTokenRequestRequestTypeDef,
    GetTokenResponseTypeDef,
    ImportBackendAuthRequestRequestTypeDef,
    ImportBackendAuthResponseTypeDef,
    ImportBackendStorageRequestRequestTypeDef,
    ImportBackendStorageResponseTypeDef,
    ListBackendJobsRequestRequestTypeDef,
    ListBackendJobsResponseTypeDef,
    ListS3BucketsRequestRequestTypeDef,
    ListS3BucketsResponseTypeDef,
    LoginAuthConfigReqObjTypeDef,
    PaginatorConfigTypeDef,
    RemoveAllBackendsRequestRequestTypeDef,
    RemoveAllBackendsResponseTypeDef,
    RemoveBackendConfigRequestRequestTypeDef,
    RemoveBackendConfigResponseTypeDef,
    ResponseMetadataTypeDef,
    S3BucketInfoTypeDef,
    SettingsTypeDef,
    SmsSettingsTypeDef,
    SocialProviderSettingsTypeDef,
    UpdateBackendAPIRequestRequestTypeDef,
    UpdateBackendAPIResponseTypeDef,
    UpdateBackendAuthForgotPasswordConfigTypeDef,
    UpdateBackendAuthIdentityPoolConfigTypeDef,
    UpdateBackendAuthMFAConfigTypeDef,
    UpdateBackendAuthOAuthConfigTypeDef,
    UpdateBackendAuthPasswordPolicyConfigTypeDef,
    UpdateBackendAuthRequestRequestTypeDef,
    UpdateBackendAuthResourceConfigTypeDef,
    UpdateBackendAuthResponseTypeDef,
    UpdateBackendAuthUserPoolConfigTypeDef,
    UpdateBackendConfigRequestRequestTypeDef,
    UpdateBackendConfigResponseTypeDef,
    UpdateBackendJobRequestRequestTypeDef,
    UpdateBackendJobResponseTypeDef,
    UpdateBackendStorageRequestRequestTypeDef,
    UpdateBackendStorageResourceConfigTypeDef,
    UpdateBackendStorageResponseTypeDef,
)

def get_structure() -> BackendAPIAppSyncAuthSettingsTypeDef:
    return {
      ...
    }
```

## Versioning

`types-aiobotocore-amplifybackend` version is the same as related `boto3`
version and follows [PEP 440](https://www.python.org/dev/peps/pep-0440/)
format.

## Documentation

All type annotations can be found in
[types-aiobotocore-amplifybackend docs](https://vemel.github.io/types_aiobotocore_docs/types_aiobotocore_amplifybackend/)

## Support and contributing

This package is auto-generated. Please reports any bugs or request new features
in [mypy-boto3-builder](https://github.com/vemel/mypy_boto3_builder/issues/)
repository.
